> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /mercari/items/search

> Search Mercari (jp.mercari.com) items by keyword with optional filters

**Price:** 1 credit per 120 results



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/mercari/items/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/mercari/items/search:
    post:
      tags:
        - /mercari
      summary: /mercari/items/search
      description: |-
        Search Mercari (jp.mercari.com) items by keyword with optional filters

        **Price:** 1 credit per 120 results
      operationId: __api_mercari_items_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MercariSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MercariSearchItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MercariSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          maximum: 600
          minimum: 1
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        sort:
          anyOf:
            - type: string
              enum:
                - score
                - created_time
                - price
                - num_likes
            - type: 'null'
        order:
          anyOf:
            - type: string
              enum:
                - desc
                - asc
            - type: 'null'
        status:
          anyOf:
            - items:
                type: string
                enum:
                  - on_sale
                  - sold_out
                  - trading
              type: array
            - type: 'null'
        price_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
      type: object
      required:
        - keyword
        - count
    MercariSearchItem:
      properties:
        '@type':
          type: string
          default: MercariSearchItem
        id:
          type: string
        url:
          type: string
        name:
          type: string
        price:
          type: integer
          default: 0
        currency:
          type: string
          default: JPY
        status:
          anyOf:
            - type: string
            - type: 'null'
        photo:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        condition_id:
          anyOf:
            - type: integer
            - type: 'null'
        category_id:
          anyOf:
            - type: integer
            - type: 'null'
        brand:
          anyOf:
            - $ref: '#/components/schemas/MercariSearchItemBrand'
            - type: 'null'
        seller_id:
          anyOf:
            - type: integer
            - type: 'null'
        shop_name:
          anyOf:
            - type: string
            - type: 'null'
        shipping_payer_id:
          anyOf:
            - type: integer
            - type: 'null'
        shipping_method_id:
          anyOf:
            - type: integer
            - type: 'null'
        item_type:
          anyOf:
            - type: string
            - type: 'null'
        is_no_price:
          type: boolean
          default: false
        is_liked:
          type: boolean
          default: false
        auction:
          anyOf:
            - $ref: '#/components/schemas/MercariSearchAuction'
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - url
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MercariSearchItemBrand:
      properties:
        '@type':
          type: string
          default: MercariSearchItemBrand
        id:
          type: integer
        name:
          type: string
        subname:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
    MercariSearchAuction:
      properties:
        '@type':
          type: string
          default: MercariSearchAuction
        end_at:
          anyOf:
            - type: integer
            - type: 'null'
        bid_count:
          type: integer
          default: 0
        highest_bid:
          type: integer
          default: 0
        initial_price:
          type: integer
          default: 0
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````